package jalview.jbgui;

import javax.swing.JComponent;
import javax.swing.JInternalFrame;
import javax.swing.JSplitPane;

public class GSplitFrame extends JInternalFrame
{
  private static final long serialVersionUID = 1L;

  private JComponent topComponent;

  private JComponent bottomComponent;

  /**
   * Constructor
   * 
   * @param top
   * @param bottom
   */
  public GSplitFrame(JComponent top, JComponent bottom)
  {
    this.topComponent = top;
    this.bottomComponent = bottom;
    JSplitPane splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT, top,
            bottom);
    splitPane.setVisible(true);
    add(splitPane);
    splitPane.setDividerLocation(0.5d);
    splitPane.setResizeWeight(0.5d);
    splitPane.setDividerSize(0);
  }

  public JComponent getTopComponent()
  {
    return topComponent;
  }

  public JComponent getBottomComponent()
  {
    return bottomComponent;
  }
}
